> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/orgs/{orgId}/integrations/stripe

Handle connector-based Stripe webhook event

` POST /v1/orgs/{orgId}/integrations/stripe `

Handle connector-based Stripe webhook event

## Parameters

### ` orgId ` (path, required)

Organization ID

- ` value `: type ` string `

### ` secret ` (query, optional)

Webhook secret (optional)

- ` value `: type ` string `

### ` Stripe-Signature ` (header, required)

Stripe signature header

- ` value `: type ` string `

## Request body (optional)

Content type: ` application/json `

- ` value `: type ` object `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` action `: type ` string ` — "triggered", "resumed", "skipped"

  - ` eventId `: type ` string ` — Webhook event ID for audit

  - ` reason `: type ` string ` — If skipped, the reason

  - ` runIds `: type ` array ` — Multiple if fan-out (platform) or single (generic)

    - ` array item `: type ` string `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X POST 'https://api.example.com/v1/orgs/string/integrations/stripe' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Stripe-Signature: string' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/orgs/string/integrations/stripe', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json",
      "Stripe-Signature": "string"
  },
  body: JSON.stringify({})
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Stripe-Signature': 'string'
}

response = requests.post('https://api.example.com/v1/orgs/string/integrations/stripe', headers=headers, json={})
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{}`)
	req, _ := http.NewRequest("POST", "https://api.example.com/v1/orgs/string/integrations/stripe", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Stripe-Signature", "string")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```